<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:fitsSystemWindows="true"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:gravity="center">

        <View
            android:layout_width="32dp"
            android:layout_height="4dp"
            android:background="@drawable/dr_dialog_indicator_bg" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="16dp"
        android:orientation="vertical">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tvTitle"
                style="@style/TextViewFont_PopSemiBold"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="@string/bookmarks"
                android:textColor="@color/black"
                android:textSize="18sp" />

            <LinearLayout
                android:id="@+id/addBtn"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:background="@drawable/dr_click_btn_bg"
                android:gravity="center"
                android:orientation="horizontal"
                android:paddingStart="12dp"
                android:paddingEnd="12dp"
                android:visibility="visible">

                <ImageView
                    android:id="@+id/addIv"
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:src="@drawable/add_icon_white" />

                <TextView
                    android:id="@+id/addTv"
                    style="@style/TextViewFont_PopMedium"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/add"
                    android:textColor="@color/white"
                    android:textSize="16sp" />
            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:layout_marginTop="8dp"
            android:layout_marginBottom="8dp"
            android:background="@color/line_color" />

        <LinearLayout
            android:id="@+id/noBookmarksPageLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="vertical"
            android:visibility="visible">

            <LinearLayout
                android:layout_width="68dp"
                android:layout_height="68dp"
                android:layout_marginTop="8dp"
                android:background="@drawable/dr_bookmarks_bg"
                android:gravity="center">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/add_bookmarks_white" />
            </LinearLayout>

            <TextView
                style="@style/TextViewFont_PopMedium"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:text="@string/no_bookmarks_page"
                android:textColor="@color/text_color_lv1"
                android:textSize="16sp" />

            <TextView
                style="@style/TextViewFont_PopRegular"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:gravity="center"
                android:text="@string/no_bookmarks_page_desc"
                android:textColor="@color/text_color_lv2"
                android:textSize="14sp" />


            <LinearLayout
                android:id="@+id/addBookmarkBtn"
                android:layout_width="wrap_content"
                android:layout_height="44dp"
                android:layout_marginTop="24dp"
                android:background="@drawable/dr_click_btn_bg"
                android:gravity="center"
                android:paddingStart="24dp"
                android:paddingEnd="24dp">

                <TextView
                    style="@style/TextViewFont_PopMedium"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/add_bookmark"
                    android:textColor="@color/white"
                    android:textSize="16sp" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/bookmarksDisplayLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/bookmarksPageRv"
                android:layout_width="match_parent"
                android:layout_height="192dp"
                android:paddingBottom="8dp"
                android:scrollbars="vertical"
                tools:itemCount="2"
                tools:listitem="@layout/adapter_item_bookmark_page" />

            <LinearLayout
                android:id="@+id/deleteALLPageBtn"
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:src="@drawable/delete_red" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="12dp"
                    android:text="@string/delete_all_pages"
                    android:textColor="@color/text_color_lv1"
                    android:textSize="16sp" />
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</LinearLayout>